---
updatedAt: 2025-06-12T23:58:15.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Get Payment

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/payments/{id}": {
      "get": {
        "summary": "Get Payment",
        "description": "",
        "operationId": "get-payment",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Id of the Payment.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"pmt_nx83lr41ov7dy5va2g\",\n    \"fromId\": \"fac_ejl2vpn1m305rxko6b\",\n    \"toId\": \"pye_oka2yeb7y6d15np3jv\",\n    \"reference\": \"Fiat Withdrawal\",\n    \"effectiveReference\": \"Fiat Withdrawal\",\n    \"amount\": \"0.01\",\n    \"currency\": \"GBP\",\n    \"paymentScheme\": \"FPS\",\n    \"paymentReturnId\": null,\n    \"memberReview\": null,\n    \"status\": \"CREATED\",\n    \"createdAt\": 1637256502721,\n    \"updatedAt\": 1637256502721,\n    \"metadata\": {}\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "pmt_nx83lr41ov7dy5va2g"
                    },
                    "fromId": {
                      "type": "string",
                      "example": "fac_ejl2vpn1m305rxko6b"
                    },
                    "toId": {
                      "type": "string",
                      "example": "pye_oka2yeb7y6d15np3jv"
                    },
                    "reference": {
                      "type": "string",
                      "example": "Fiat Withdrawal"
                    },
                    "effectiveReference": {
                      "type": "string",
                      "example": "Fiat Withdrawal"
                    },
                    "amount": {
                      "type": "string",
                      "example": "0.01"
                    },
                    "currency": {
                      "type": "string",
                      "example": "GBP"
                    },
                    "paymentScheme": {
                      "type": "string",
                      "example": "FPS"
                    },
                    "paymentReturnId": {},
                    "memberReview": {},
                    "status": {
                      "type": "string",
                      "example": "CREATED"
                    },
                    "createdAt": {
                      "type": "integer",
                      "example": 1637256502721,
                      "default": 0
                    },
                    "updatedAt": {
                      "type": "integer",
                      "example": 1637256502721,
                      "default": 0
                    },
                    "metadata": {
                      "type": "object",
                      "properties": {}
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/payments/pmt_nx83lr41ov7dy5va2g \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```